### File

`packages/ecl/components/ecl-modal/ecl-modal-body.component.ts`

### Description

Body component used inside the ECL Modal.

Optionally allows scrollable content inside the modal body.

### Extends

`ECLBaseDirective`

### Metadata

selector | `[eclModalBody]`
templateUrl | `./ecl-modal-body.component.html`

### Index

###### Properties
eclModalBodyId
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies CSS classes for the modal body and scrollable modifier if enabled.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclModalBodyId
Type : `unknown`
Default value : `signal<string>('')`
Unique ID for the modal body, used for accessibility (`aria-describedby`). This ID is passed from the parent `EclModalComponent`.

### Accessors

cssClasses
get `cssClasses()`
Applies CSS classes for the modal body and scrollable modifier if enabled. Returns : `string`

# results matching ""

# No results matching ""